@echo off

rem This part checks for where Startup.upk is located (same folder, or the parent folder)
if exist ..\Startup.upk (
    set upk=..\Startup.upk
    set outf=..
) else if exist Startup.upk (
    set upk=Startup.upk
    set outf=.
) else (
    echo Startup.upk not found! Are you running this file from the CookedPC folder?
    goto :quitscript
)

echo UPK file is %upk%!
echo Creating backup...

copy %upk% %upk%.bak

echo Decompressing...

decompress.exe %upk% -out=%outf%\unpacked
move %outf%\unpacked\Startup.upk %upk%
rmdir unpacked

echo Applying patch...

PatchUPK.exe atpqol.patch %outf%

echo Done!

pause
:quitscript
